package epson.print.imgsel;

import android.content.Intent;
import android.content.IntentFilter;
import com.epson.mobilephone.common.wifidirect.NfcTagUtils;
import epson.print.Util.CommonMessage;

public class ImageViewPagerWithNfcInvalidPrintMessageActivity extends ImageViewPagerActivity {
    protected void onPause() {
        super.onPause();
        NfcTagUtils.disableForegroundDispatch(this);
    }

    protected void onResume() {
        super.onResume();
        NfcTagUtils.enableForegroundDispatch(this, (IntentFilter[]) null, (String[][]) null);
    }

    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        CommonMessage.showInvalidPrintMessageIfEpsonNfcPrinter(this, intent);
    }
}
